> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/ddl/update-compute_pool.md).

# UPDATE COMPUTE\_POOL

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
UPDATE COMPUTE_POOL compute_pool_name
WITH (compute_pool_parameter = value [, …]);
```

## Description <a href="#description" id="description"></a>

Updates a compute\_pool with new parameters.

### Arguments <a href="#parameters" id="parameters"></a>

#### compute\_pool\_name

The name of the compute\_pool to update. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

### Compute Pool Parameters <a href="#topic_parameters" id="topic_parameters"></a>

| Parameter Name             | Description                                                                                                                                                                                                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `compute_pool.size`        | <p><br><strong>Required:</strong> Yes<br><strong>Default value:</strong> None<br><strong>Type:</strong> String<br><strong>Valid values:</strong> Small, Medium, Large</p><ul><li>Small - 1 compute worker (8cpu, 6Gi memory)</li><li>Medium - Small x 2</li><li>Large - Small x 4</li></ul> |
| `compute_pool.timeout_min` | <p>Once a compute\_pool is idle for <code>timeout\_min</code>, it will be stopped.</p><p><br><strong>Required:</strong> No<br><strong>Default value:</strong> 60 minutes (3600 seconds)<br><strong>Type:</strong> Int<br></p>                                                               |

## Examples

```sql
UPDATE COMPUTE_POOL mypool 
WITH(‘compute_pool.size’=medium, ‘compute_pool.timeout_min’ =120);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/update-compute_pool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
